Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class DefaultErrorHandler

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.DefaultErrorHandler

Direct Known Subclasses:
  ProblemListenerDefault

public class DefaultErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler, javax.xml.transform.ErrorListener

Implement SAX error handler for default reporting.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`DefaultErrorHandler()` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintStream pw)` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintWriter pw)` Constructor DefaultErrorHandler

Method Summary
`static void` | `ensureLocationSet(javax.xml.transform.TransformerException exception)`
`void` | `error(org.xml.sax.SAXParseException exception)` Receive notification of a recoverable error.
`void` | `error(javax.xml.transform.TransformerException exception)` Receive notification of a recoverable error.
`void` | `fatalError(org.xml.sax.SAXParseException exception)` Receive notification of a non-recoverable error.
`void` | `fatalError(javax.xml.transform.TransformerException exception)` Receive notification of a non-recoverable error.
`static void` | `printLocation(java.io.PrintStream pw, javax.xml.transform.TransformerException exception)`
`static void` | `printLocation(java.io.PrintWriter pw, java.lang.Throwable exception)`
`void` | `warning(org.xml.sax.SAXParseException exception)` Receive notification of a warning.
`void` | `warning(javax.xml.transform.TransformerException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintWriter pw)

  Constructor DefaultErrorHandler

### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintStream pw)

  Constructor DefaultErrorHandler

### DefaultErrorHandler

    public DefaultErrorHandler()

  Constructor DefaultErrorHandler

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Receive notification of a warning.

  SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

  Specified by:
    warning in interface org.xml.sax.ErrorHandler

  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Receive notification of a recoverable error.

  This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

  Specified by:
    error in interface org.xml.sax.ErrorHandler

  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Receive notification of a non-recoverable error.

  This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

  The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler

  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.

### warning

    public void warning(javax.xml.transform.TransformerException exception)
                 throws javax.xml.transform.TransformerException

  Receive notification of a warning.

  SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

  Specified by:
    warning in interface javax.xml.transform.ErrorListener

  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    javax.xml.transform.TransformerException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### error

    public void error(javax.xml.transform.TransformerException exception)
               throws javax.xml.transform.TransformerException

  Receive notification of a recoverable error.

  This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

  Specified by:
    error in interface javax.xml.transform.ErrorListener

  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    javax.xml.transform.TransformerException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exception)
                    throws javax.xml.transform.TransformerException

  Receive notification of a non-recoverable error.

  This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

  The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

  Specified by:
    fatalError in interface javax.xml.transform.ErrorListener

  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    javax.xml.transform.TransformerException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### ensureLocationSet

    public static void ensureLocationSet(javax.xml.transform.TransformerException exception)

### printLocation

    public static void printLocation(java.io.PrintStream pw,
                                     javax.xml.transform.TransformerException exception)

### printLocation

    public static void printLocation(java.io.PrintWriter pw,
                                     java.lang.Throwable exception)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference